SAP Knowledge Base Article - Preview

2139582 - Installer is not registering the ASE ADO.NET Providers in the GAC - SAP SDK

Symptom

  • Install SDK for SAP ASE 16.0 and check to see if ADO.NET Provider (3.5 and 4.0) are registered in the GAC.
  • For Sybase.AdoNet4.AseClient.dll look in: \windows\Microsoft.NET\assembly\GAC_MSIL\Sybase.AdoNet4.AseClient
    • Under this folder are the various versions of Provider installed, but the 4.0 from 16.0 installation is missing (folder starts as v4.0_16.0.0.5....)
  • For Sybase.AdoNet35.AseClient.dll look for the provider under \windows\assembly
    • Look for Sybase.AdoNet35.AseClient, with version 16.0.0.3 [or .4, .5]
  • After running the SDK 16.0 PL03 - PL05 install these registered providers are missing


Read more...

Environment

  • Windows x64 (64-bit)
    • Win 7/8, 2008/2008 R2, 2012/2012 R2
  • Sybase Software Developer Kit 16.0
  • SDK for SAP ASE 16.0
    • Adaptive Server Enterprise ADO.NET Data Provider 16.0
      • 3.5 Provider (Sybase.AdoNet35.AseClient.dll)
      • 4.0 Provider (Sybase.AdoNet4.AseClient.dll)

 

Product

SAP Adaptive Server Enterprise 15.7 ; SAP Adaptive Server Enterprise 16.0 ; SAP Adaptive Server Enterprise SDK 16.0 ; Sybase SDK 12.5 ; Sybase SDK 15.0 ; Sybase SDK 15.5 ; Sybase SDK 15.7 ; Sybase Software Developer Kit 15.7

Keywords

"Software Developer Kit", "Adaptive Server Enterprise", DBLIB, dblib, CTLIB, ctlib, OCS, registrar , KBA , BC-SYB-SDK , SDK , BC-SYB-ASE , Sybase ASE Database Platform (non Business Suite) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP for Me (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.